## systemd 229

=== debian/changelog ===
systemd (229-4ubuntu4) xenial; urgency=medium

  * 73-special-net-names.rules: Further refine ibmveth naming.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Apr 2016 12:06:30 +0200

systemd (229-4ubuntu3) xenial; urgency=medium

  * debian/tests/cmdline-upstart-boot: In test_rsyslog(), check for messages
    from dbus instead of NetworkManager. NM 1.2 does not seem to log to syslog
    by default any more.
  * 73-special-net-names.rules: Refine ibmveth naming.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Apr 2016 10:43:34 +0200

systemd (229-4ubuntu2) xenial; urgency=medium

  * debian/tests/unit-config: Call "daemon-reload" to clean up generated units
    in between tests.
  * debian/tests/unit-config: Check that enable/disable commands are
    idempotent.
  * debian/tests/unit-config: Detect if system units are in /usr/, so that the
    test works on systems with merged /usr.
  * debian/tests/unit-config: Use systemd-sysv-install instead of update-rc.d
    directly, so that the test works under Fedora too.
  * debian/tests/unit-config: Check disabling of a "systemctl link"ed unit,
    and check "systemctl enable" on a unit with full path which is not in the
    standard directories.
  * Rename debian/extra/rules/73-idrac.rules to 73-special-net-names.rules, as
    it is going to get rules for other devices. Also install it into the
    initramfs.
  * debian/extra/rules/73-special-net-names.rules: Add DEVPATH number based
    naming schema for ibmveth devices. (LP: #1561096)
  * Don't set SYSTEMD_READY=0 on DM_UDEV_DISABLE_OTHER_RULES_FLAG=1 devmapper
    devices with "change" events, as this causes spurious unmounting with
    multipath devices. (LP: #1565969)
  * Fix bogus "No [Install] section" warning when enabling a unit with full
    path. (LP: #1563590)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Apr 2016 09:17:35 +0200

systemd (229-4ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Hack to support system-image read-only /etc, and modify files in
      /etc/writable/ instead.

    Upgrade fixes, keep until 16.04 LTS release:
    - systemd Conflicts/Replaces/Provides systemd-services.
    - Remove obsolete systemd-logind upstart job.
    - Clean up obsolete /etc/udev/rules.d/README.
    - systemd.postinst: Migrate mountall specific fstab options to standard
      util-linux "nofail" option.
    - systemctl: Don't forward telinit u to upstart. This works around
      upstart's Restart() always reexec'ing /sbin/init on Restart(), even if
      that changes to point to systemd during the upgrade. This avoids running
      systemd during a dist-upgrade. (LP: #1430479)
    - Provide shutdown fallback for upstart. (LP: #1370329)
    - Break lvm (<< 2.02.133-1ubuntu1) and remove our dummy /etc/init.d/lvm2
      on upgrades, as it's shipped by lvm2 now.
    - Make udev break on mdadm << 3.3-2ubuntu3, as udev's init script dropped
      the "Provides: raid-mdadm".
    - Clean up /var/log/udev on upgrade (which is written under upstart, but
      not under systemd). (LP: #1537211)
    - Migrate existing s390x network configuration to new names. (LP: #1526808)
    - systemd.postinst: Bump Version comparison for migrating the UTC setting
      from /etc/default/rcS to /etc/adjtime, to run it for upgrades to 16.04.
    - VMWare BIOS reports implausibly high onboard numbers. This got fixed in
      upstream commit 6c1e69f9. Migrate names in ifupdown accordingly.
      (LP: #1550539)
    - udev: Don't kill peer processes if we don't run in a cgroup. This happens
      when running under/upgrading from upstart. udevd and everything else run
      in the root hierarchy on all controllers then, and the alleged cleanup of
      "our" cgroup becomes a system-wide killing spree. (LP: #1555237)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 07 Apr 2016 09:53:25 +0200

systemd (229-4) unstable; urgency=medium

  * Fix assertion crash when processing a (broken) device without a sysfs
    path. (Closes: #819290, LP: #1560695)
  * Fix crash when shutdown is issued from a non-tty. (LP: #1553040)
  * networkd: Stay running while any non-loopback interface is up.
    (Closes: #819414)
  * Fix reading uint32 D-Bus properties on big-endian.
  * Fix crash if an udev device has many tags or devlinks. (LP: #1564976)
  * systemctl, loginctl, etc.: Don't start polkit agent when running as root.
    (LP: #1565617)
  * keymap: Add Add HP ZBook (LP: #1535219) and HP ProBook 440 G3.
  * systemd.resource-control.5: Fix links to cgroup documentation on
    kernel.org. (Closes: #819970)
  * Install test-udev into libudev-dev, so that we have it available for
    autopkgtests.
  * Add "udev" autopkgtest for running the upstream test/udev-test.pl.

 -- Martin Pitt <mpitt@debian.org>  Thu, 07 Apr 2016 08:11:10 +0200

systemd (229-3) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/timedated: Add tests for "timedatectl set-local-rtc".
  * Be more tolerant in parsing /etc/adjtime.
  * debian/systemd.postinst: Don't fail package installation if systemctl
    daemon-reload trigger fails. This does not fix the root cause of the
    reload failures, but at least causes fewer packages to be in a broken
    state after upgrade, so that a reboot or apt-get -f install have a much
    higher chance in succeeding. (For bugs like LP #1502097 or LP #1447654)
  * debian/tests/networkd: Skip test_hogplug_dhcp_ip6 when running against
    upstream as well.
  * debian/tests/boot-and-services: Wait for units to stop with a "systemctl
    is-active" loop instead of static sleeps.
  * debian/tests/networkd: Skip DHCPv6 tests for downstream packages too. This
    is an actual regression in networkd-229, to be investigated. But this
    shouldn't hold up reverse dependencies.
  * Fix assertion in add_random(). (LP: #1554861)
  * debian/tests/boot-and-services: Don't assert on "Stopped Container c1"

