=== debian/control ===
Source: systemd
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>,
           Marco d'Itri <md@linux.it>,
           Sjoerd Simons <sjoerd@debian.org>,
           Martin Pitt <mpitt@debian.org>
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-systemd/systemd.git
Homepage: http://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 9.20141010),
               dpkg-dev (>= 1.17.14),
               pkg-config,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               m4,
               dh-autoreconf,
               automake (>= 1.11),
               autoconf (>= 2.63),
               intltool,
               gperf,
               gnu-efi [amd64 i386],
               libcap-dev (>= 1:2.24-9~),
               libpam0g-dev,
               libapparmor-dev (>= 2.9.0-3+exp2) <!stage1>,
               libaudit-dev <!stage1>,
               libdbus-1-dev (>= 1.3.2) <!nocheck>,
               libcryptsetup-dev (>= 2:1.6.0) <!stage1>,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               liblzma-dev,
               libbz2-dev <!stage1>,
               zlib1g-dev <!stage1> | libz-dev <!stage1>,
               libcurl4-gnutls-dev <!stage1> | libcurl-dev <!stage1>,
               libmicrohttpd-dev <!stage1>,
               libgnutls28-dev <!stage1>,
               libgcrypt20-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.24),
               libmount-dev (>= 2.27.1),
               libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64el s390x],
               libdw-dev (>= 0.158) <!stage1>,
               linux-base <!nocheck>,
               acl <!nocheck>,
               python3:native,
               python3-lxml:native

Package: systemd
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Recommends: libpam-systemd,
            dbus
Suggests: systemd-ui,
          systemd-container
Pre-Depends: ${shlibs:Pre-Depends},
             ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version}),
         util-linux (>= 2.27.1),
         mount (>= 2.26),
         adduser,
         libcap2-bin
Breaks: lvm2 (<< 2.02.104-1),
        lsb-base (<< 4.1+Debian4),
        apparmor (<< 2.9.2-1),
        systemd-shim (<< 8-2),
        ifupdown (<< 0.8.5~),
        udev (<< 228-5),
Replaces: udev (<< 228-5),
          systemd-services,
Conflicts: klogd,
           systemd-services,
Provides: systemd-services
Description: system and service manager
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes
 using Linux control groups, supports snapshotting and restoring of the system
 state, maintains mount and automount points and implements an elaborate
 transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 Installing the systemd package will not switch your init system unless you
 boot with init=/bin/systemd or install systemd-sysv in addition.

Package: systemd-sysv
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: important
Conflicts: sysvinit-core,
           upstart (<< 1.13.2-0ubuntu10~),
           upstart-sysv,
           openrc,
           file-rc,
Replaces: sysvinit (<< 2.88dsf-44~),
          sysvinit-core,
          upstart (<< 1.13.2-0ubuntu10~),
          upstart-sysv,
Pre-Depends: systemd
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: system and service manager - SysV links
 systemd is a system and service manager for Linux. It provides aggressive
 parallelization capabilities, uses socket and D-Bus activation for starting
 services, offers on-demand starting of daemons, keeps track of processes
 using Linux control groups, supports snapshotting and restoring of the system
 state, maintains mount and automount points and implements an elaborate
 transactional dependency-based service control logic.
 .
 systemd is compatible with SysV and LSB init scripts and can work as a
 drop-in replacement for sysvinit.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit. Installing systemd-sysv will overwrite /sbin/init with a
 link to systemd.

Package: systemd-container
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd
Recommends: btrfs-tools
Breaks: systemd (<< 224-2)
Replaces: systemd (<< 224-2)
Description: systemd container/nspawn tools
 This package provides systemd's tools for nspawn and container/VM management:
  * systemd-nspawn
  * systemd-machined and machinectl
  * systemd-importd

Package: systemd-journal-remote
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
         adduser
Description: tools for sending and receiving remote journal logs
 This package provides tools for sending and receiving remote journal logs:
  * systemd-journal-remote
  * systemd-journal-upload
  * systemd-journal-gatewayd

Package: systemd-coredump
Build-Profiles: <!stage1>
Architecture: linux-any
Multi-Arch: foreign
Section: admin
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         systemd
Conflicts: core-dump-handler
Replaces: core-dump-handler, systemd (<< 229-2)
Provides: core-dump-handler
Breaks: systemd (<< 229-2)
Description: tools for storing and retrieving coredumps
 This package provides systemd tools for storing and retrieving coredumps:
  * systemd-coredump
  * coredumpctl

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd (= ${binary:Version}),
         libpam-runtime (>= 1.0.1-6),
         dbus,
         systemd-shim (>= 8-2) | systemd-sysv
Description: system and service manager - PAM module
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy for logind.
 .
 If in doubt, do install this package.
 .
 Packages that depend on logind functionality need to depend on libpam-systemd.

Package: libnss-myhostname
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: systemd (<< 222-1)
Replaces: systemd (<< 222-1)
Description: nss module providing fallback resolution for the current hostname
 This package contains a plugin for the Name Service Switch, providing host
 name resolution for the locally configured system hostname as returned by
 gethostname(2). It returns all locally configured public IP addresses or -- if
 none are configured, the IPv4 address 127.0.1.1 (which is on the local
 loopback) and the IPv6 address ::1 (which is the local host).
 .
 A lot of software relies on that the local host name is resolvable. This
 package provides an alternative to the fragile and error-prone manual editing
 of /etc/hosts.
 .
 Installing this package automatically adds myhostname to /etc/nsswitch.conf.

Package: libnss-mymachines
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Breaks: systemd (<< 222-1)
Replaces: systemd (<< 222-1)
Description: nss module to resolve hostnames for local container instances
 nss-mymachines is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing hostname resolution for local containers
 that are registered with systemd-machined.service(8). The container names are
 resolved to IP addresses of the specific container, ordered by their scope.
 .
 Installing this package automatically adds mymachines to /etc/nsswitch.conf.

Package: libnss-resolve
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         systemd,
Breaks: systemd (<< 227-3)
Replaces: systemd (<< 227-3)
Description: nss module to resolve names via systemd-resolved
 nss-resolve is a plugin for the GNU Name Service Switch (NSS) functionality
 of the GNU C Library (glibc) providing DNS and LLMNR resolution to programs via
 the systemd-resolved daemon (provided in the systemd package).
 .
 Installing this package automatically adds resolve to /etc/nsswitch.conf.

Package: libsystemd0
Architecture: linux-any
Multi-Arch: same
Section: libs
Priority: optional
Pre-Depends: ${shlibs:Depends},
             ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: systemd utility library
 The libsystemd0 library provides interfaces to various systemd components.

Package: libsystemd-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libsystemd0 (= ${binary:Version})
Breaks: systemd (<< 204-8),
        libsystemd-login-dev (<< 209),
        libsystemd-daemon-dev (<< 209),
        libsystemd-journal-dev (<< 209),
        libsystemd-id128-dev (<< 209),
Replaces: systemd (<< 204-8),
          libsystemd-login-dev (<< 209),
          libsystemd-daemon-dev (<< 209),
          libsystemd-journal-dev (<< 209),
          libsystemd-id128-dev (<< 209),
Description: systemd utility library - development files
 The libsystemd0 library provides interfaces to various systemd components.
 .
 This package contains the development files.

Package: udev
Section: admin
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libudev1 (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         util-linux (>= 2.27.1),
         s390-tools (>> 1.6.2) [s390],
         procps
Breaks: consolekit (<< 0.4.6-1),
        kmod (<< 14),
        plymouth (<< 0.9.0-7),
        bash-completion (<< 1:2.1),
        systemd (<< 224-2),
        ifupdown (<< 0.8.5~),
        lvm2 (<< 2.02.133-1ubuntu1),
        mdadm (<< 3.3-2ubuntu3),
Replaces: bash-completion (<< 1:2.1),
          systemd (<< 224-2)
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libudev1
Section: libs
Priority: important
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libudev shared library
 This library provides access to udev device information.

Package: libudev-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1 (= ${binary:Version})
Description: libudev development files
 This package contains the files needed for developing applications that
 use libudev.

Package: udev-udeb
Build-Profiles: <!noudeb>
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         util-linux-udeb
Description: /dev/ and hotplug management daemon
