=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/systemd-$1\.tar\.gz/ \
  https://github.com/systemd/systemd/tags .*/v?(\d\S*)\.tar\.gz
