## systemd 230

=== debian/changelog ===
systemd (230-7~bpo8+2) jessie-backports; urgency=medium

  * [c685eb0] jessie-backport: New patch to fix broken permissions with
    O_TMPFILE, fixing i386 build issue. Thanks to Felipe Sateler
    <fsateler@debian.org> and Michael Biebl <biebl@debian.org>
  * [ccb9801] jessie-backport: New patch to fix GCC ICEs for Debian/jessie
    on several archs. Thanks to Michael Biebl <biebl@debian.org>

 -- Michael Prokop <mika@debian.org>  Wed, 27 Jul 2016 18:46:16 +0200

systemd (230-7~bpo8+1) jessie-backports; urgency=medium

  [ Michael Prokop ]
  * [372e4e1] jessie-backport: New patch to revert libmount changes
  * [b773297] jessie-backport: Drop versioned Build-Depends on libcap-dev
  * [84287a5] jessie-backport: Lower Build-Depends on libmount-dev to >=
    2.20
  * [32fac24] jessie-backport: Adjust dependencies on util-linux + mount
  * [ad889fe] jessie-backport: Adjust util-linux dependency for udev
  * [54bd141] jessie-backport: New patch for swapon behavior changes.
    Thanks to Michael Biebl <biebl@debian.org> for the pointer
  * [b644ddc] jessie-backport: gbp.conf: set debian-branch to jessie-
    backports

  [ Martin Pitt ]
  * [c573717] systemd.postinst: Remove systemd-networkd-resolvconf-
    update.path removal leftover (see #830778)

 -- Michael Prokop <mika@debian.org>  Thu, 14 Jul 2016 10:50:28 +0200

systemd (230-7) unstable; urgency=medium

  * Tell dh_shlibdeps to look in the systemd package for libraries. Otherwise
    dpkg-shlibdeps fails to find libsystemd-shared as we no longer create a
    shlibs file for it.
  * Add Build-Depends-Package to libudev1.symbols and libsystemd0.symbols.
    This ensures proper dependencies when a package has a Build-Depends on a
    higher version of libudev-dev or libsystemd-dev then what it gets from the
    used symbols.

 -- Michael Biebl <biebl@debian.org>  Fri, 08 Jul 2016 13:04:33 +0200

systemd (230-6) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/boot-smoke: Stop running in containers again, too unreliable
    on Ubuntu s390x right now.

  [ Michael Biebl ]
  * Bump Build-Depends on debhelper to (>= 9.20160114), required for
    --dbgsym-migration support.
  * Install test-udev binary into $libdir/udev/ not $libdir. Only libraries
    should be installed directly into $libdir.
  * Exclude libsystemd-shared from dh_makeshlibs.

  [ Felipe Sateler ]
  * Do not install libsystemd-shared.so symlink
  * {machine,system}ctl: always pass &changes and &n_changes (Closes: #830144)

  [ Michael Prokop ]
  * debian/tests/logind: Ensure correct version of logind is running.

 -- Michael Biebl <biebl@debian.org>  Thu, 07 Jul 2016 15:22:16 +0200

systemd (230-5) unstable; urgency=medium

  [ Martin Pitt ]
  * Sync test/networkd-test.py with current upstream master, and remove our
    debian/tests/networkd copy. Directly run test/networkd-test.py in
    autopkgtest.
  * debian/extra/rules/73-usb-net-by-mac.rules: Disable when
    /etc/udev/rules.d/80-net-setup-link.rules is a symlink to /dev/null, to be
    consistent with the documented way to disable ifnames. (Closes: #824491,
    LP: #1593379)
  * debian/rules: Ignore libcap-ng.so in the "does anything link against /usr"
    check, to work around libaudit1 recently gaining a new dependency against
    that library (#828991). We have no influence on that ourselves. This fixes
    the FTBFS in the meantime.

  [ Felipe Sateler ]
  * Convert common code into a private shared library. This saves about 9 MB
    of installed size in the systemd package, and some more in systemd-*.

 -- Martin Pitt <mpitt@debian.org>  Fri, 01 Jul 2016 09:15:12 +0200

systemd (230-4) unstable; urgency=medium

  [ Martin Pitt ]
  * tmp.mount: Add nosuid and nodev mount options. This restores compatibility
    with the original SysV int RAMTMP defaults. (Closes: #826377)
  * debian/tests/upstream: Some tests fail on platforms without QEMU at the
    moment due to upstream PR#3587; blacklist these for now if QEMU is not
    available.
  * debian/rules: Don't run the "anything links against /usr" check for
    upstream tests, as those run on Ubuntu 16.04 LTS which does not yet have
    libidn moved to /lib.
  * debian/tests/upstream: Clean up old journals before running a test, to
    avoid printing a wrong one on failure.
  * debian/tests/upstream: Do not run the QEMU tests on i386. Nested QEMU on
    i386 causes testbed hangs on Ubuntu's cloud infrastructure, which is the
    only place where these actually run.
  * resolved: Fix SERVFAIL handling and introduce a new "Cache=" option to
    disable local caching.
  * resolved: Support IPv6 zone indices in resolv.conf. (LP: #1587489)
  * resolved: Update resolv.conf when calling SetLinkDNS().
  * debian/tests/storage: Sync and settle udev after luksFormat, to reduce the
    chance of seeing some half-written signatures.
  * debian/tests/networkd: Stop skipping the two DHCP6 tests, this regression
    seems to have been fixed now.
  * resolved: respond to local resolver requests on 127.0.0.53:53. This
    provides compatibility with clients that don't use NSS but do DNS queries
    directly, such as Chrome.
  * resolved: Don't add route-only domains to /etc/resolv.conf.
  * systemd-resolve: Add --flush-caches and --status commands.
  * Add debian/extra/units/systemd-resolved.service.d/resolvconf.conf to tell
    resolvconf about resolved's builtin DNS server on 127.0.0.53. With that,
    DNS servers picked up via networkd are respected when using resolvconf,
    and software like Chrome that does not do NSS (libnss-resolve) still gets
    proper DNS resolution. Drop the brittle and ugly
    systemd-networkd-resolvconf-update.{path,service} hack instead.
  * debian/tests/boot-smoke: Run in containers as well.

  [ Laurent Bigonville ]
  * Build with IDN support. (Closes: #814528)

 -- Martin Pitt <mpitt@debian.org>  Wed, 29 Jun 2016 15:23:32 +0200

systemd (230-3) unstable; urgency=medium

  [ Martin Pitt ]

