=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: systemd
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
            Martin Pitt <mpitt@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-systemd/systemd.git
 Homepage: http://www.freedesktop.org/wiki/Software/systemd
-Build-Depends: debhelper (>= 9.20141010),
+Build-Depends: debhelper (>= 9.20160114),
                dpkg-dev (>= 1.17.14),
                pkg-config,
                xsltproc,
@@ -24,9 +23,10 @@
                intltool,
                gperf,
                gnu-efi [amd64 i386],
-               libcap-dev (>= 1:2.24-9~),
+               libcap-dev,
                libpam0g-dev,
                libapparmor-dev (>= 2.9.0-3+exp2) <!stage1>,
+               libidn11-dev <!stage1>,
                libaudit-dev <!stage1>,
                libdbus-1-dev (>= 1.3.2) <!nocheck>,
                libcryptsetup-dev (>= 2:1.6.0) <!stage1>,
@@ -41,7 +41,7 @@
                libgcrypt20-dev,
                libkmod-dev (>= 15),
                libblkid-dev (>= 2.24),
-               libmount-dev (>= 2.27.1),
+               libmount-dev (>= 2.20),
                libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64el s390x],
                libdw-dev (>= 0.158) <!stage1>,
                linux-base <!nocheck>,
@@ -57,14 +57,15 @@
 Recommends: libpam-systemd,
             dbus
 Suggests: systemd-ui,
-          systemd-container
+          systemd-container,
+          policykit-1
 Pre-Depends: ${shlibs:Pre-Depends},
              ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libsystemd0 (= ${binary:Version}),
-         util-linux (>= 2.27.1),
-         mount (>= 2.26),
+         util-linux (>= 2.25.2-6),
+         mount (>= 2.25.2-6),
          adduser,
          libcap2-bin
 Breaks: lvm2 (<< 2.02.104-1),
@@ -73,11 +74,9 @@
         systemd-shim (<< 8-2),
         ifupdown (<< 0.8.5~),
         udev (<< 228-5),
+        laptop-mode-tools (<< 1.68~)
 Replaces: udev (<< 228-5),
-          systemd-services,
-Conflicts: klogd,
-           systemd-services,
-Provides: systemd-services
+Conflicts: klogd
 Description: system and service manager
  systemd is a system and service manager for Linux. It provides aggressive
  parallelization capabilities, uses socket and D-Bus activation for starting
@@ -133,7 +132,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          systemd
-Recommends: btrfs-tools
+Recommends: btrfs-progs | btrfs-tools,
+            libnss-mymachines,
 Breaks: systemd (<< 224-2)
 Replaces: systemd (<< 224-2)
 Description: systemd container/nspawn tools
@@ -301,7 +301,7 @@
          adduser,
          libudev1 (= ${binary:Version}),
          lsb-base (>= 3.0-6),
-         util-linux (>= 2.27.1),
+         util-linux (>= 2.25.2-6),
          s390-tools (>> 1.6.2) [s390],
          procps
 Breaks: consolekit (<< 0.4.6-1),
@@ -310,8 +310,9 @@
         bash-completion (<< 1:2.1),
         systemd (<< 224-2),
         ifupdown (<< 0.8.5~),
-        lvm2 (<< 2.02.133-1ubuntu1),
-        mdadm (<< 3.3-2ubuntu3),
+        ifplugd (<< 0.28-19.1~),
+        joystick (<< 1:1.4.9-1~),
+        ${Breaks:usb-modeswitch},
 Replaces: bash-completion (<< 1:2.1),
           systemd (<< 224-2)
 Description: /dev/ and hotplug management daemon
