=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,10 @@
 
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
     DEFAULT_NTP_SERVERS = ntp.ubuntu.com
+    BREAKS_USB_MODESWITCH =
 else
     DEFAULT_NTP_SERVERS = 0.debian.pool.ntp.org 1.debian.pool.ntp.org 2.debian.pool.ntp.org 3.debian.pool.ntp.org
+    BREAKS_USB_MODESWITCH = usb-modeswitch (<< 2.3.0+repack0-1~)
 endif
 
 # fail on missing files and symbols changes on distro builds, but not if we
@@ -36,16 +38,13 @@
 	--with-kbd-loadkeys=/bin/loadkeys \
 	--with-kbd-setfont=/bin/setfont \
 	--with-telinit=/lib/sysvinit/telinit \
+	--without-kill-user-processes \
 	--enable-split-usr \
-	--disable-compat-libs \
 	--disable-qrencode \
-	--disable-libidn \
 	--disable-vconsole \
-	--disable-sysusers \
 	--disable-firstboot \
 	--disable-xkbcommon \
 	--disable-libiptc \
-	--disable-silent-rules \
 	--with-ntp-servers="$(DEFAULT_NTP_SERVERS)"  \
 	--with-system-uid-max=999 \
 	--with-system-gid-max=999
@@ -53,6 +52,7 @@
 CONFFLAGS_deb = \
 	--enable-selinux \
 	--enable-hwdb \
+	--enable-sysusers \
 	--enable-efi \
 	PYTHON=python3
 
@@ -63,6 +63,7 @@
 	--enable-coredump \
 	--enable-elfutils \
 	--enable-apparmor \
+	--enable-libidn \
 	--enable-libcurl \
 	--enable-importd \
 	--enable-microhttpd \
@@ -74,6 +75,7 @@
 	--disable-coredump \
 	--disable-elfutils \
 	--disable-apparmor \
+	--disable-libidn \
 	--disable-libcurl \
 	--disable-importd \
 	--disable-microhttpd \
@@ -88,10 +90,10 @@
 	--disable-audit \
 	--disable-selinux \
 	--disable-apparmor \
+	--disable-libidn \
 	--disable-smack \
 	--disable-ima \
 	--disable-binfmt \
-	--disable-bootchart \
 	--disable-quotacheck \
 	--disable-tmpfiles \
 	--disable-randomseed \
@@ -118,6 +120,7 @@
 	--disable-efi \
 	--disable-gnuefi \
 	--disable-seccomp \
+	--disable-sysusers \
 	--without-python
 
 override_dh_auto_configure:
@@ -177,8 +180,12 @@
 	rm -rf debian/install/*/etc/kernel/
 	rm -f debian/install/*/usr/lib/sysctl.d/50-default.conf
 	rm -f debian/install/*/etc/X11/xinit/xinitrc.d/50-systemd-user.sh
+	rmdir -p --ignore-fail-on-non-empty debian/install/*/etc/X11/xinit/xinitrc.d/
 	rm -f debian/install/*/lib/systemd/system/halt-local.service
 	find debian/install/ -name '*.la' -delete
+	rm -f debian/install/*/lib/systemd/libsystemd-shared.so
+	# remove this in 231
+	find debian/install/ -name '*.busname' -delete
 	# remove files related to factory-reset feature
 	find debian/install/ \( -name 'systemd-update-done*' -o \
 		-name systemd-journal-catalog-update.service -o \
@@ -188,6 +195,9 @@
 	rm -rf debian/install/*/usr/share/factory/
 	# remove symlinks enabling default-on services
 	rm -rf debian/install/*/etc/systemd/system/*.target.wants/
+	# FIXME: generate proper sysusers.d/basic.conf for Debian, and add autopkgtest
+	rm -rf debian/install/*/usr/lib/sysusers.d/*
+	rm -f debian/install/*/lib/systemd/system/*sysusers*.service debian/install/*/lib/systemd/system/*/*sysusers*.service
 ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
 	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
 endif
@@ -223,14 +233,3 @@
 	# remove duplicate files shipped by systemd-*/udev
 	echo "Removing duplicate files in systemd package:"
 	set -e; for pkg in $(shell dh_listpackages -Nudev-udeb -Nlibudev1-udeb -Nsystemd); do \
-		echo "... from $$pkg..."; \
-		(cd debian/$$pkg; find -type f -o -type l) | (cd debian/systemd; xargs rm -f --verbose); \
-		(cd debian/$$pkg; find -mindepth 1 -type d) | (cd debian/systemd; xargs rmdir --ignore-fail-on-non-empty --verbose || true); \
-	done
-
-	# ship test-udev, so that we have it for autopkgtests
-	install build-deb/test-udev debian/libudev-dev/usr/lib/$(DEB_HOST_MULTIARCH)/
-
-	# Ubuntu specific files
-	if dpkg-vendor --is ubuntu; then \
-		install -D --mode=644 debian/extra/udev.py debian/udev/usr/share/apport/package-hooks/udev.py; \
